# TFatherTransform Class Reference
[Data Structures]

Inheritance diagram for TFatherTransform:

List of all members.

## Public Member Functions
| TFatherTransform ()
void | Reset ()
boolean | IsEqual (const TFatherTransform &transform, const real &zeroTolerance) const
void | Multiply (const TTreeTransform &child, const TVector3 &offsetScaling, TFatherTransform &outTransform) const
void | Multiply (const TTreeTransform &child, TTransform3D &outTransform) const
void | InverseMultiply (const TFatherTransform &inverseFather, const TTreeTransform &child, TTransform3D &outTransform) const
const TTransform3D & | GetRawTransform3D () const
const TTransform3D & | GetOffsetTransform3D () const
void | SetRawTransform3D (const TTransform3D &inT3D)
void | SetOffsetTransform3D (const TTransform3D &inT3D)
void | GetLocalTranslationOffset (const TTreeTransform &childTransform, TVector3 &outOffset) const
void | SolveOffset (const TFatherTransform &inverseFather, const TTreeTransform &childTransform, const TVector3 &offsetInParent, TVector3 &outOffset) const
void | GetTransform3DForRawCompositing (const TTreeTransform &childTransform, TTransform3D &outTransform) const
void | GetInverse (TFatherTransform &outInverse) const
## Protected Attributes
TTransform3D | fTransform
TTransform3D | fOffsetTransform
| the transform to composite with the adapted child's transform

## Detailed Description

Some trees do not propagate their scaling (uniform and/or xyz) on their children, but instead move them further depending on the scaling (eg growing an arm without making the fingers longer) To do this, we need to keep the scaling center and the scaling with the transform.

## Constructor & Destructor Documentation

TFatherTransform::TFatherTransform | ( |  | ) |

## Member Function Documentation

void TFatherTransform::GetInverse | ( | TFatherTransform & | outInverse | ) | const

void TFatherTransform::GetLocalTranslationOffset | ( | const TTreeTransform & | childTransform,
|  | TVector3 & | outOffset |
| ) |  |  | const

const TTransform3D& TFatherTransform::GetOffsetTransform3D | ( |  | ) | const`[inline]`

const TTransform3D& TFatherTransform::GetRawTransform3D | ( |  | ) | const`[inline]`

void TFatherTransform::GetTransform3DForRawCompositing | ( | const TTreeTransform & | childTransform,
|  | TTransform3D & | outTransform |
| ) |  |  | const

void TFatherTransform::InverseMultiply | ( | const TFatherTransform & | inverseFather,
|  | const TTreeTransform & | child,
|  | TTransform3D & | outTransform |
| ) |  |  | const

boolean TFatherTransform::IsEqual | ( | const TFatherTransform & | transform,
|  | const real & | zeroTolerance |
| ) |  |  | const

void TFatherTransform::Multiply | ( | const TTreeTransform & | child,
|  | TTransform3D & | outTransform |
| ) |  |  | const

void TFatherTransform::Multiply | ( | const TTreeTransform & | child,
|  | const TVector3 & | offsetScaling,
|  | TFatherTransform & | outTransform |
| ) |  |  | const

void TFatherTransform::Reset | ( |  | ) |

void TFatherTransform::SetOffsetTransform3D | ( | const TTransform3D & | inT3D | ) | `[inline]`

void TFatherTransform::SetRawTransform3D | ( | const TTransform3D & | inT3D | ) | `[inline]`

void TFatherTransform::SolveOffset | ( | const TFatherTransform & | inverseFather,
|  | const TTreeTransform & | childTransform,
|  | const TVector3 & | offsetInParent,
|  | TVector3 & | outOffset |
| ) |  |  | const

## Member Data Documentation

TTransform3D TFatherTransform::fOffsetTransform`[protected]`

the transform to composite with the adapted child's transform

TTransform3D TFatherTransform::fTransform`[protected]`

The documentation for this class was generated from the following file:

- Transforms.h